=== debian/changelog ===
libopensplice67 (6.7.180404+osrf1-2~bionic) bionic; urgency=medium

  * libopensplice67 6.7.180404+osrf1-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Feb 2021 13:54:30 +0100

libopensplice67 (6.7.180404+osrf1-1~bionic) bionic; urgency=medium

  * libopensplice67 6.7.180404+osrf1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Apr 2018 18:17:57 +0200
