=== debian/changelog ===
libopensplice67 (6.7.180404+osrf1-2~xenial) xenial; urgency=medium

  * libopensplice67 6.7.180404+osrf1-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Feb 2021 13:54:30 +0100

libopensplice67 (6.7.180404+osrf1-1~xenial) xenial; urgency=medium

  * libopensplice67 6.7.180404+osrf1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Apr 2018 18:17:57 +0200

libopensplice67 (6.7.0+osrf2-3~xenial) xenial; urgency=medium

  * libopensplice67 6.7.0+osrf2-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 19 Mar 2018 13:35:17 +0100

libopensplice67 (6.7.0+osrf2-2~xenial) xenial; urgency=medium

  * libopensplice64 6.7.0+osrf2-2 release

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Aug 2017 09:18:00 -0700

libopensplice67 (6.7.0+osrf1-1~xenial) xenial; urgency=medium

  * libopensplice64 6.7.0+osrf1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 12 Jul 2017 18:41:51 +0200

libopensplice64 (6.4.0+osrf1-0~xenial) xenial; urgency=medium

  * libopensplice64 6.4.0+osrf1-0 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 May 2016 22:16:59 +0200

libopensplice64 (6.4.0-3~xenial) xenial; urgency=high
 
  * Release 6.4.0-3
 
 -- Brian Gerkey <gerkey@osrfoundation.org>  Sat, 16 Aug 2014 11:48:00 -0700
